# Glib::Object Class Reference

Inherits Glib::ObjectBase.

Inherited by Gio::AppLaunchContext, Gio::Cancellable, Gio::DesktopAppInfo, Gio::Emblem, Gio::EmblemedIcon, Gio::FileEnumerator, Gio::FileIcon, Gio::FileInfo, Gio::FileMonitor, Gio::FilenameCompleter, Gio::InputStream, Gio::IOStream, Gio::MountOperation, Gio::OutputStream, Gio::ThemedIcon, and Gio::VolumeMonitor.

Collaboration diagram for Glib::Object:
[legend]

List of all members.

## Public Types
typedef void(* | DestroyNotify )(gpointer data)
## Public Member Functions
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
## Protected Member Functions
| Object ()
| Object (const Glib::ConstructParams& construct_params)
| Object (GObject* castitem)
virtual | ~Object ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)

## Member Typedef Documentation

typedef void(* Glib::Object::DestroyNotify)(gpointer data)

## Constructor & Destructor Documentation

Glib::Object::Object | ( |  | ) | `[protected]`

Glib::Object::Object | ( | const Glib::ConstructParams & | construct_params | ) | `[explicit, protected]`

Glib::Object::Object | ( | GObject * | castitem | ) | `[explicit, protected]`

virtual Glib::Object::~Object | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void* Glib::Object::get_data | ( | const QueryQuark& | key | ) |

void Glib::Object::remove_data | ( | const QueryQuark& | quark | ) |

void Glib::Object::set_data | ( | const Quark& | key,
|  | void * | data,
|  | DestroyNotify | notify |
| ) |  |  |

void Glib::Object::set_data | ( | const Quark& | key,
|  | void * | data |
| ) |  |  |

void* Glib::Object::steal_data | ( | const QueryQuark& | quark | ) |

## Friends And Related Function Documentation

Glib::RefPtr< Glib::Object > wrap | ( | GObject * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

The documentation for this class was generated from the following files:

- glibmm/object.h
- glibmm/wrap.h